For the complete documentation index, see llms.txt. This page is also available as Markdown.

Pairs

Get Available Trade Pairs

get
/v1/instruments/pairs

Retrieve a list of supported trade pairs with precision details.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Successful response

application/json
pairstringOptionalExample: BTC-USD
statusstring · enumOptionalPossible values:
baseSymbolstringOptionalExample: BTC
quoteSymbolstringOptionalExample: USD
minBaseOrderSizestring · numberOptionalExample: 0.000016
minQuoteOrderSizestring · numberOptionalExample: 1.00
baseQtyPrecisionstring · integerOptionalExample: 6
quoteQtyPrecisionstring · integerOptionalExample: 2
get/v1/instruments/pairs
GET /api/v1/instruments/pairs HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "pair": "BTC-USD",
    "status": "ACTIVE",
    "baseSymbol": "BTC",
    "quoteSymbol": "USD",
    "minBaseOrderSize": "0.000016",
    "minQuoteOrderSize": "1.00",
    "baseQtyPrecision": "6",
    "quoteQtyPrecision": "2"
  }
]

Last updated